// Main.java
//
// Informatics 102 Spring 2012
// Assignment #2: Metadata and Reflection
//
// This class contains the application's main() method, which does two things:
//
// (1) Loads the set of image filters, including those defined in plug-ins.
//     The classes containing plug-ins are to be listed in a file called
//     "filters.conf".
//
// (2) Displays the application's frame window, which causes Swing's UI
//     event queue to take over control of the application.

package inf102.assignment2;

import inf102.assignment2.filters.FilterSet;
import inf102.assignment2.ui.ImageFrame;


public class Main
{
	public static void main(String[] args)
	{
		FilterSet filterSet = FilterSet.load("filters.conf");
		
		ImageFrame frame = new ImageFrame(filterSet);
		frame.setVisible(true);
	}
}
